Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm
Class TextInputPrologStream

    java.lang.Object
      gnu.prolog.vm.PrologStream
          gnu.prolog.vm.TextInputPrologStream

    public class TextInputPrologStream

extends PrologStream

Nested Class Summary

Nested classes/interfaces inherited from class gnu.prolog.vm.PrologStream
`PrologStream.OpenOptions`

Field Summary
`protected RandomAccessFileReader` | `fileReader`
`protected TermReader` | `termReader`

Fields inherited from class gnu.prolog.vm.PrologStream
`aliases, aliasTag, appendAtom, atAtom, binaryAtom, closed, DEBUG, endOfFileAtom, endOfStream, endOfStreamTag, environment, eofAction, eofActionTag, eofCodeAtom, errorAtom, filename, filenameTag, inputAtom, mode, modeTag, notAtom, openAtom, outputAtom, pastAtom, positionTag, readAtom, reposition, repositionAtom, repositionTag, resetAtom, sourceSinkAtom, streamAtom, streamOrAliasAtom, streamTerm, textAtom, type, typeTag, userInputAtom, userOutputAtom, writeAtom`

Constructor Summary
`TextInputPrologStream(PrologStream.OpenOptions options, RandomAccessFile raf)`
`TextInputPrologStream(PrologStream.OpenOptions options, Reader rd)`

Method Summary
`void` | `close(boolean force)`
`void` | `flushOutput(Term streamTerm)`
`int` | `getByte(Term streamTerm, Interpreter interptreter)`
`int` | `getCode(Term streamTerm, Interpreter interptreter)`
`int` | `getCurrentColumn()`
`int` | `getCurrentLine()`
`Term` | `getPosition(Term streamTerm, Interpreter interptreter)`
`int` | `peekByte(Term streamTerm, Interpreter interptreter)`
`int` | `peekCode(Term streamTerm, Interpreter interptreter)`
`void` | `putByte(Term streamTerm, Interpreter interptreter, int _byte)`
`void` | `putCode(Term streamTerm, Interpreter interptreter, int code)`
`void` | `putCodeSequence(Term streamTerm, Interpreter interptreter, String seq)`
`Term` | `readTerm(Term streamTerm, Interpreter interptreter, ReadOptions options)`
`void` | `setPosition(Term streamTerm, Interpreter interptreter, Term position)`
`void` | `writeTerm(Term streamTerm, Interpreter interptreter, WriteOptions options, Term term)`

Methods inherited from class gnu.prolog.vm.PrologStream
`checkExists, debug, getEndOfStreamState, getMode, getProperties, getStreamTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termReader

    protected TermReader termReader

### fileReader

    protected RandomAccessFileReader fileReader

Constructor Detail

### TextInputPrologStream

    public TextInputPrologStream(PrologStream.OpenOptions options,
                                 Reader rd)
                          throws PrologException

Throws:
  `PrologException`

### TextInputPrologStream

    public TextInputPrologStream(PrologStream.OpenOptions options,
                                 RandomAccessFile raf)

Parameters:
  `options` -
  `raf` -

Method Detail

### getByte

    public int getByte(Term streamTerm,
                       Interpreter interptreter)
                throws PrologException

  Specified by:
    `getByte` in class `PrologStream`
  Throws:
    `PrologException`

### peekByte

    public int peekByte(Term streamTerm,
                        Interpreter interptreter)
                 throws PrologException

  Specified by:
    `peekByte` in class `PrologStream`
  Throws:
    `PrologException`

### putByte

    public void putByte(Term streamTerm,
                        Interpreter interptreter,
                        int _byte)
                 throws PrologException

  Specified by:
    `putByte` in class `PrologStream`
  Throws:
    `PrologException`

### getPosition

    public Term getPosition(Term streamTerm,
                            Interpreter interptreter)
                     throws PrologException

  Specified by:
    `getPosition` in class `PrologStream`
  Throws:
    `PrologException`

### setPosition

    public void setPosition(Term streamTerm,
                            Interpreter interptreter,
                            Term position)
                     throws PrologException

  Specified by:
    `setPosition` in class `PrologStream`
  Throws:
    `PrologException`

### getCode

    public int getCode(Term streamTerm,
                       Interpreter interptreter)
                throws PrologException

  Specified by:
    `getCode` in class `PrologStream`
  Throws:
    `PrologException`

### peekCode

    public int peekCode(Term streamTerm,
                        Interpreter interptreter)
                 throws PrologException

  Specified by:
    `peekCode` in class `PrologStream`
  Throws:
    `PrologException`

### putCode

    public void putCode(Term streamTerm,
                        Interpreter interptreter,
                        int code)
                 throws PrologException

  Specified by:
    `putCode` in class `PrologStream`
  Throws:
    `PrologException`

### putCodeSequence

    public void putCodeSequence(Term streamTerm,
                                Interpreter interptreter,
                                String seq)
                         throws PrologException

  Specified by:
    `putCodeSequence` in class `PrologStream`
  Throws:
    `PrologException`

### readTerm

    public Term readTerm(Term streamTerm,
                         Interpreter interptreter,
                         ReadOptions options)
                  throws PrologException

  Specified by:
    `readTerm` in class `PrologStream`
  Throws:
    `PrologException`

### writeTerm

    public void writeTerm(Term streamTerm,
                          Interpreter interptreter,
                          WriteOptions options,
                          Term term)
                   throws PrologException

  Specified by:
    `writeTerm` in class `PrologStream`
  Throws:
    `PrologException`

### flushOutput

    public void flushOutput(Term streamTerm)
                     throws PrologException

  Specified by:
    `flushOutput` in class `PrologStream`
  Throws:
    `PrologException`

### close

    public void close(boolean force)
               throws PrologException

  Overrides:
    `close` in class `PrologStream`
  Throws:
    `PrologException`

### getCurrentLine

    public int getCurrentLine()

  Overrides:
    `getCurrentLine` in class `PrologStream`

### getCurrentColumn

    public int getCurrentColumn()

  Overrides:
    `getCurrentColumn` in class `PrologStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD